# Darsman Blog

## Requirements

- Python (== 3.10)
- grpcio-tools (>=1.62.1)

## Installation

Run the following command using pip:

```bash
    pip install dmbc
```

## Sample code

```python
import asyncio
from dmbc import Blog


blog = Blog(host='localhost', port=50051)

# Get one blog using its identifier
asyncio.run(
    blog.fetch_one(
        identifier="b2f6c8e2-7e3a-4cb3-a58e-ef4e3f893708",
    )
)

# Get all blogs
asyncio.run(blog.fetch_all(order_by="title", page_size=1, page_number=1))

```